Skip to content

Get 'Inspectionerrandsetting'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/errands/inspections/configurations/inspectionerrandsetting/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/errands/inspections/configurations/inspectionerrandsetting/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
is_activebooleanrequired
namestring, <= 255 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
parking_spot_categoriesArray of strings or null, unique
customer_columnsanyread-only
delegation_purpose_plannerboolean
id_number_date_formatinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Compact Full

  • 1 - Full

  • 2 - Month Day

  • 3 - Year Month

Enum:0123
id_number_start_numberinteger or null, (int32), [ 1 .. 2147483647 ]
auto_create_with_tenantsinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

This value requires that the following fields are also set: auto_create_on_cancellation_from_setting

Enum Descriptions:

  • 0 - Previous Tenants

  • 1 - Future Tenants

  • 2 - All Tenants

Enum:012
custom_idstring or null, <= 128 characters
protocols_should_be_signedboolean
protocol_settingobject or null(Inspectionerrandprotocolsetting)
brf_apartment_categoriesArray of strings or null, unique
id_number_prefixstring or null, <= 32 characters
realestatesArray of objects(Realestate)
apartment_categoriesArray of strings or null, unique
auto_forward_delegation_after_daysinteger or null, (int32), [ 1 .. 2147483647 ]
auto_create_on_cancellation_from_settingobject or null(Contractcancellationconfiguration)
should_be_invoicedboolean or null
id_number_min_id_lengthinteger or null, (int32), [ 1 .. 10 ]
outdoor_section_categoriesArray of strings or null, unique
check_rooms_and_componentsboolean
tagsanyread-only
created_atstring, (date-time)read-only
pending_monitor_approval_amountanyread-only
protocols_visible_for_customersboolean
id_number_separatorstring or null, <= 1 characters
default_actionsArray of objects(Errandactiondefault)
industrial_premises_categoriesArray of strings or null, unique
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "parking_spot_categories": [ "string" ], "customer_columns": null, "delegation_purpose_planner": true, "id_number_date_format": 0, "id_number_start_number": 1, "auto_create_with_tenants": 0, "custom_id": "string", "is_active": true, "protocols_should_be_signed": true, "protocol_setting": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "brf_apartment_categories": [ "string" ], "id_number_prefix": "string", "name": "string", "realestates": [ {} ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "apartment_categories": [ "string" ], "auto_forward_delegation_after_days": 1, "auto_create_on_cancellation_from_setting": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "should_be_invoiced": true, "id_number_min_id_length": 1, "outdoor_section_categories": [ "string" ], "check_rooms_and_components": true, "tags": null, "created_at": "2019-08-24T14:15:22Z", "pending_monitor_approval_amount": null, "protocols_visible_for_customers": true, "id_number_separator": "s", "default_actions": [ {} ], "industrial_premises_categories": [ "string" ] }